/*
 * ObjetoRemoto.java
 *
 * Created on 27 de abril de 2004, 21:18
 */

package chuidiang.ejemplos.rmi.suma;

import java.io.Serializable;
import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

/**
 * @author  Javier Abelln
 */
public class ObjetoRemoto extends UnicastRemoteObject 
    implements InterfaceRemota
{
    /**
     * Construye una instancia de ObjetoRemoto
     * @throws RemoteException
     */
    public ObjetoRemoto () throws RemoteException
    {
        super();
    }

    /**
     * Obtiene la suma de los sumandos que le pasan y la devuelve.
     * Obtiene los sumandos llamando a getSumando1()y getSumando2().
     */
    public int suma(InterfaceSumandos sumandos) 
    {
        return sumandos.getSumando1()+sumandos.getSumando2();
    }
    
}
